## GwyCellRendererColor

GwyCellRendererColor — Renders a color in a cell

## Functions

GtkCellRenderer * | gwy_cell_renderer_color_new ()

## Properties

GwyRGBA * | color | Read / Write

## Types and Values

struct | GwyCellRendererColor
struct | GwyCellRendererColorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkCellRenderer
                ╰── GwyCellRendererColor

## Includes

    #include <libgwyui/gwyui.h>

## Description

A GwyCellRendererColor can be used to render a color swatch in a cell of a GtkTreeView or a similar cell-view widget.

## Functions

### gwy_cell_renderer_color_new()

    GtkCellRenderer *
    gwy_cell_renderer_color_new (void);

Creates a new color cell renderer.

#### Returns

A new color cell renderer.

## Types and Values

### struct GwyCellRendererColor

    struct GwyCellRendererColor;

### struct GwyCellRendererColorClass

    struct GwyCellRendererColorClass {
        GtkCellRendererClass parent_class;
    };

## Property Details

### The `“color”` property

      “color”                    GwyRGBA *

Color to display.

Owner: GwyCellRendererColor

Flags: Read / Write